#include "CameraDrivingPerceptionThree_GeneralWrapper.h"

#include "sub/SubWrapperHelper.h"
#include "camera_driving_perception_three/executable.h"
#include "CameraDrivingPerceptionThree_SubDataWrapper.h"

GeneralWrapper::GeneralWrapper(ara::log::Logger& mainLog) : 
_CamDrvPerceptionThree2Fusion_Provide("camera_driving_perception_three/camera_driving_perception_three/CamDrvPerceptionThree2FusionPPort" ,mainLog),
_CamDrv2CamDrvPerceptionThree_Required("camera_driving_perception_three/camera_driving_perception_three/CamDrv2CamDrvPerceptionThreeRPort" ,mainLog),
_Slam2DrvPerceptionThreeOdom_Required("camera_driving_perception_three/camera_driving_perception_three/Slam2DrvPerceptionThreeOdomRPort" ,mainLog),
_CAN2DrvPerceptionThree_Required("camera_driving_perception_three/camera_driving_perception_three/CAN2DrvPerceptionThreeRPort" ,mainLog),
_VED2DrvPerceptionThree_Required("camera_driving_perception_three/camera_driving_perception_three/VED2DrvPerceptionThreeRPort" ,mainLog)
{
    //Provides
    _CamDrvPerceptionThree2Fusion_Provide.Init();
    //Requireds
    _CamDrv2CamDrvPerceptionThree_Required.Init();
    _Slam2DrvPerceptionThreeOdom_Required.Init();
    _CAN2DrvPerceptionThree_Required.Init();
    _VED2DrvPerceptionThree_Required.Init();
}
GeneralWrapper::~GeneralWrapper() 
{
    _CamDrv2CamDrvPerceptionThree_Required.Destroy();
    _Slam2DrvPerceptionThreeOdom_Required.Destroy();
    _CAN2DrvPerceptionThree_Required.Destroy();
    _VED2DrvPerceptionThree_Required.Destroy();
}

void GeneralWrapper::Start() {
    
}

